﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MainSms;

namespace Test
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Mainsms Инициализация объекта
            // Список параметров (project, apikey, is_test)
            // project - название проекта, берется со страницы http://mainsms.ru/office/api_account
            // apikey - ключ проекта, берется со страницы http://mainsms.ru/office/api_account
            // is_test - не обязательный параметр, если true то сообщения eне будут отправляться и деньги не будут списываться(используется для отладки)
            // use_ssl - не обязательный параметр, если true то взаимодействие будет осуществляться по протоколу https иначе http
            Mainsms sms = new Mainsms("mainsms", "c72a61ef07e80", true, true);

            // balance() Запрос баланса
            ResponseBalance rBalance = sms.balance();
            if (rBalance.status == "success") MessageBox.Show(rBalance.balance); // покажем текущий баланс
            else MessageBox.Show(rBalance.message); // иначе выведем сообщение об ошибке

            //price(recipients, message) запрос стоимости отправки сообщения на указанные номера
            // Параметры recipients - номера получателей в любом формате через запятую. message - текст сообщения.
            ResponsePrice rprice = sms.price("89121231234,9121231235", "api_test");
            if (rprice.status == "success") MessageBox.Show(rprice.price); // покажем стоимость отправки сообщения на указанные номера
            else MessageBox.Show(rprice.message); // иначе выведем сообщение об ошибке

            //send(sender, recipients, message) - отправка сообщения
            // Параметры sender - имя отправителя. recipients - номера получателей в любом формате через запятую. message - текст сообщения.
            ResponseSend rsend = sms.send("testsend", "89999999998,9999999999", "testtext");
            if (rsend.status == "success") MessageBox.Show("ok"); // если сообщение было успешно отправленно выведем ok
            else MessageBox.Show(rsend.message); // иначе выведем сообщение об ошибке

            // status(messages_id) - запрос статуса сообщений
            // messages_id - id сообщений через запятую
            ResponseStatus rstatus = sms.status("119,118");
            if (rstatus.status == "success") MessageBox.Show("119 - " + rstatus.messages["119"] + "; 118 - " + rstatus.messages["118"]); // Выводим ид сообщения и статус их доставки
            else MessageBox.Show(rstatus.message); // иначе выведем сообщение об ошибке

            //info(phones) - запрос информации по номерам
            ResponseInfo rinfo = sms.info("89121231234,9121231235");
            if (rinfo.status == "success")
            {
                foreach (PhoneInfo pi in rinfo.info)
                {
                    MessageBox.Show("Номер - " + pi.phone + "; Оператор - " + pi.name + "; Регион - " + pi.region);
                }
            }
            else MessageBox.Show(rinfo.message);
        }
    }
}
